<template>
  <page-layout :cover="cover" coverColor="bg-gray-100">
    <!-- Page Content Start -->
    <lazy-hydrate ssr-only>
      <funcionament-autogestio v-bind="content.selfManagement" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <funcionament-transformacio-comunitaria v-bind="content.communityTransformation" />
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/escola/funcionament';

export default {
  name: 'Funcionament',
  components: PageSections,
  inject: ['site'],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { selfManagement, communityTransformation } = this.$page.content;

      return {
        selfManagement,
        communityTransformation,
      };
    },
  },
  metaInfo() {
    const { siteName, siteDomain, twitter } = this.site.settings;
    const { title, description } = this.$page.content.meta;
    const { cover_image } = this.cover;

    return {
      title,
      meta: [
        {
          key: 'description',
          name: 'description',
          content: description,
        },
        {
          name: 'twitter:card',
          content: 'summary_large_image',
        },
        {
          name: 'twitter:site',
          content: `@${twitter}`,
        },
        {
          name: 'twitter:creator',
          content: `@${twitter}`,
        },
        {
          name: 'twitter:title',
          content: `${siteName} - ${title}`,
        },
        {
          name: 'twitter:description',
          content: description,
        },
        {
          name: 'twitter:image',
          content: `https://${siteDomain}${cover_image.image.src}`,
        },
        {
          name: 'twitter:image:alt',
          content: cover_image.description,
        },
        {
          name: 'og:url',
          content: `https://${siteDomain}${this.$route.path}`,
        },
        {
          name: 'og:type',
          content: 'website',
        },
        {
          name: 'og:title',
          content: `${siteName} - ${title}`,
        },
        {
          name: 'og:image',
          content: `https://${siteDomain}${cover_image.image.src}`,
        },
        {
          name: 'og:image:alt',
          content: cover_image.description,
        },
        {
          name: 'og:description',
          content: description,
        },
        {
          name: 'og:site_name',
          content: siteName,
        },
        {
          name: 'og:locale',
          content: 'ca_ES',
        },
      ],
    };
  },
};
</script>

<page-query>
query FuncionamentPageContent {
  content: funcionamentPageContent(path: "/content/escola/funcionament") {
    meta {
      title
      description
    }
    cover {
      headline
      cover_image {
        image
        description
      }
    }
    selfManagement {
      heading
      text
      corePoints {
        heading
        text
        icon
      }
    }
    communityTransformation {
      items {
        title
        text
        item_image {
          image
          description
        }
      }
    }
  }
}
</page-query>